> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET List Webhooks

> Retrieve webhook configurations.

## List webhooks

`GET /api/webhook-configs`

Retrieve all webhook configurations for your account.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl https://zeplo.ai/api/webhook-configs \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": [
    {
      "id": 1,
      "url": "https://your-app.com/webhook",
      "events": ["message.received", "message.status", "conversation.created"],
      "status": "active",
      "secret": "whsec_abc123...",
      "channelId": "647015955153740",
      "lastTriggeredAt": "2026-01-15T14:00:00Z",
      "failureCount": 0,
      "createdAt": "2026-01-01T08:00:00Z"
    }
  ]
}
```

***

## Get webhooks by channel

`GET /api/webhook-configs-channel-id/:id`

```bash cURL theme={null}
curl https://zeplo.ai/api/webhook-configs-channel-id/647015955153740 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

***

## Get global webhook URL

`GET /api/webhook/global-url`

```bash cURL theme={null}
curl https://zeplo.ai/api/webhook/global-url \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "url": "https://zeplo.ai/webhook/global"
}
```

### Webhook events

| Event | Description |
| - | - |
| `message.received` | New inbound message |
| `message.sent` | Message sent successfully |
| `message.delivered` | Message delivered |
| `message.read` | Message read |
| `message.failed` | Message delivery failed |
| `conversation.created` | New conversation |
| `conversation.updated` | Conversation updated |
| `conversation.assigned` | Conversation assigned |
| `contact.created` | New contact |
| `contact.updated` | Contact updated |
| `campaign.started` | Campaign started |
| `campaign.completed` | Campaign completed |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.